Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
    Matt Farstad
    @mathaou
    Works fairly easy with node 12, but electron-rebuild is necessary for electron.
    Simanto Rahman
    @Simanto_Rahman_twitter
    @mathaou the github repo now works with 12 as well
    Matt Farstad
    @mathaou
    @Simanto_Rahman_twitter When did that happen? I was trying about a month ago.
    Simanto Rahman
    @Simanto_Rahman_twitter
    It was recently updated and some bug fixes were PR-ed and pushed. Ahould work now.
    And the bug fix was about 2 weeks ago
    libaishun
    @1057437122
    ok, thanks guys, this night i will have a try again~
    Simanto Rahman
    @Simanto_Rahman_twitter
    Why not link the original repo to the fork your employer made? Then you can get updates too
    @mathaou
    Matt Farstad
    @mathaou
    UGHGHGHGHG Goodness gracious well w/e. Am I misremembering that there were several commits in the tojocky repo that said they supported node 12 and electron 7?
    The employer keeps source under wraps. I got it working for windows, but then he did additional work for Linux and OSX.
    Simanto Rahman
    @Simanto_Rahman_twitter
    Was the extra work necessary for linux and osx?
    Matt Farstad
    @mathaou
    And ??? Not sure, he only seems concerned with getting it working with Electron 7 for some of the additional features he made - was frozen on 4 for a long time. A considerable amount of his consumer base is OSX, so yes.
    And linux wasn't that hard he told me, most of the work was done already.
    Simanto Rahman
    @Simanto_Rahman_twitter
    It seemed to work out of the box for me on OSX 10.15
    And im not even using an Epson printer
    Some mods i made were for type definitions but thats about it
    Matt Farstad
    @mathaou
    My experience in using this gitter channel and browsing the web trying to debug my problems was that everyone was having very mixed experiences. "Works on my machine" was everywhere, but other people were having various problems with a few commonalities between them. Mods we made were custom functionality - we gutted 95% of all of the features. And we talk to dozens of different printers from various manufacturers.
    MBarrios
    @MBarrios

    Sorry.

    Currently node-printer works perfectly for me.

    But I need to print on a remote printer, isolating some TCP / IP protocol and port.

    so that the client using the web system can print a printer other than the sea that belongs to them. Is this possible?

    Simanto Rahman
    @Simanto_Rahman_twitter
    This uses some native functionalities of CUPS to send buffers and what not.
    I'd say, this would be a better usecase.
    https://www.npmjs.com/package/ipp
    Austin
    @austtn
    An unhandled error occurred inside electron-rebuild
    Unable to find electron's version number, either install it or specify an explicit version
    when i run electron-rebuild
    Simanto Rahman
    @Simanto_Rahman_twitter
    Which version of electron and node are you on?
    Austin
    @austtn
    current node just updated and idk what electron version or if i even have it installed
    where do i install electron
    Simanto Rahman
    @Simanto_Rahman_twitter
    Ok let's go over how far you've gone through setting up
    How did you start off the project?
    richardritech
    @richardritech
    Anyone can tells me if this library runs in latest version of electron and how can i install it? There is a erro telling me that the version compiled of node is not the version required and when i run electron-rebuild or node-gyp there is a error in the rebuild too
    Simanto Rahman
    @Simanto_Rahman_twitter
    I believe this should be documented.
    @richardritech for the node module to work on your version of electron, you need ‘node-gyp’ and ‘electron-rebuild’. Read the usage on electron rebuild. It will rebuild node-printer for the correct version of nodejs.
    Vinícius Montanheiro
    @vmontanheiro
    Hello guys, just a question, is it possible to choose the pages for printing? Something like pageFrom and pageTo?
    Vinícius Montanheiro
    @vmontanheiro
    Hello guys, just a question, is it possible to choose the pages for printing? Something like pageFrom and pageTo?
    vijayabalansujan
    @vijayabalansujan
    i need help for thermal printer
    need a example code for epson thermal printer in windows plateform.pls guys urgent.
    Cloud Han Xiao
    @cloudhx
    Dear all, I'm new to node-printer and want to use it in electron 7.1.13 with node 12.16.3, need help on how to install the package and build it, I simply cannot install it correctly. Thank you!
    Cloud Han Xiao
    @cloudhx
    I can install fork thiagoelg/node-printer successfully and it works well with Electron 7.1.13 and node 12.16.3, thanks.
    Vladimir Ruzic
    @ruzpuz

    Hi all. I just started a project using electron 9.0.0 and when trying to use this module it fails with

    Error: The module '/Users/vladar/workspace/project/node_modules/printer/lib/node_printer.node' was compiled against a different Node.js version using NODE_MODULE_VERSION 80. This version of Node.js requires NODE_MODULE_VERSION 72. Please try re-compiling or re-installing the module (for instance, using `npm rebuild` or `npm install`).

    I switched to thiagoelg/node-printer and it does not work either... Is there any way to solve this?
    Simanto Rahman
    @Simanto_Rahman_twitter
    Did you try electron-builder?
    Thiago Lugli
    @thiagoelg
    I've updated my fork to support Node 14 and Electron 9, feel free to check it out
    I've also opened a PR to merge these changes to Tojocky original source(tojocky/node-printer#295)
    sayam
    @sayamssanghvi
    hi all I wanted to use the module for printing some stuff can i directly run it as a file
    like make app.js and app.js calls all the other functions in a certain manner
    will it work
    ?
    Kirill
    @Microsxema
    Hello! It is working in node v13?
    (not electron)
    Kirill
    @Microsxema
    I have a error - "The specified module could not be found."
    Felipe Gustavo
    @felipe-gustavo
    Hi everybody, someone can help me make this works in my computer?
    image.png
    image.png
    I no have idea what i can do to fix this